## sound-recorder-0.06.tar.bz2

=== Makefile ===

# $Id: Makefile,v 1.1.1.1 1999/02/20 14:19:01 bartw Exp $

include Makefile.Rules
dirs := doc src

all:
	$(foreach dir,$(dirs), cd $(dir); $(MAKE) all; cd ..;)

install:
	$(foreach dir,$(dirs),cd $(dir); make install; cd ..;)
	$(INSTALL) -m 644 -g root -o root soundrecorder.conf $(DESTDIR)/etc

clean:
	$(foreach dir,$(dirs),cd $(dir); make clean; cd ..;)

dist:
	$(MAKE) clean
	$(foreach dir,$(dirs),cd $(dir); make dist; cd ..;)
	@-$(ECHO) '18lDA$(VERSION_LONG):x' > /tmp/version.vim
	@-$(FIND) . -type f -iregex '.*[hc]$$' -exec vim -s /tmp/version.vim {} \;
	@-$(RM) /tmp/version.vim
	@-$(FIND) . -type f | $(CUT) -b 3- | $(SORT) > FILES

dep:
	$(foreach dir,$(dirs),cd $(dir); make dep; cd ..;)

=== debian/changelog ===
sound-recorder (0.06-7) unstable; urgency=low

  * QA Upload
  * Change maintainer to QA Group
  * Recompile for CXX transition
  * Use debhelper compat level 4 instead of 1

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 28 Oct 2005 21:02:38 +0200

sound-recorder (0.06-6.1) unstable; urgency=low

  * NMU
  * Fix source to compile under gcc-3.3 (Closes: #232124)

 -- John V. Belmonte <jbelmonte@debian.org>  Thu, 11 Mar 2004 00:58:35 -0500

sound-recorder (0.06-6) unstable; urgency=low

  * Fix link to homepage (closes: #173658)

 -- Bart Warmerdam <bartw@xs4all.nl>  Mon, 23 Dec 2002 11:46:31 +0100

sound-recorder (0.06-5) unstable; urgency=low

  * Fixed param -k to work again (closes: 150202)

 -- Bart Warmerdam <bartw@xs4all.nl>  Wed,  4 Dec 2002 21:27:33 +0100

sound-recorder (0.06-4) unstable; urgency=low

  * Commented echo -e in prerm and postinst file (closes: 129773)

 -- Bart Warmerdam <bartw@xs4all.nl>  Sun, 24 Feb 2002 15:46:12 +0100

sound-recorder (0.06-3) unstable; urgency=low

  * Updated the build-depends and changed location of copyright to the common
    licence directory.

 -- Bart Warmerdam <bartw@debian.org>  Sat,  4 Aug 2001 17:16:55 +0200

sound-recorder (0.06-2) unstable; urgency=low

  * Allow a small difference btw set value and actually hardware value of
    sample rate.

 -- Bart Warmerdam <bartw@debian.org>  Sat, 28 Jul 2001 22:04:36 +0200

sound-recorder (0.06-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <BartW@Debian.org>  Sun,  6 Aug 2000 14:04:39 +0200

sound-recorder (0.05-6) unstable; urgency=low

  * Updated debian/rules for debhelper and changed to policy 3.0

 -- Bart Warmerdam <BartW@Debian.org>  Sun,  7 Nov 1999 12:09:55 +0100

sound-recorder (0.05-5) unstable; urgency=low

  * Changed allowed steps of samplerates to include 8000 Hz not 800 Hz
    closes bug: #32949

 -- Bart Warmerdam <BartW@Debian.org>  Sat,  6 Feb 1999 00:17:05 +0100

sound-recorder (0.05-4) unstable; urgency=low

  * fixed option -k in sound-recorder
  * fixed max. number samples to record
  * fixed manual pages (no remark -k and -S)

 -- Bart Warmerdam <BartW@Debian.org>  Mon, 19 Oct 1998 22:30:49 +0200

sound-recorder (0.05-3) unstable; urgency=low

  * Corrections in manualpage for format options (Bug#26669)
  * Fixed error in handling options for option -A (not correctly impl.)
    Fixes Bug:#26669.
  * Fixed timecounter for line sound-recordings (didn't correctly flush
    time to screen in the correct format).

 -- Bart Warmerdam <BartW@Debian.org>  Thu,  13 Sep 1998 13:22:14 +0200

sound-recorder (0.05-2) unstable; urgency=low

  * Changed dependency to libstdc++2.9

 -- Bart Warmerdam <BartW@Debian.org>  Thu,  10 Sep 1998 22:11:10 +0200

sound-recorder (0.05-1) unstable; urgency=low

  * Different write method that reduces sound-overrun errors
  * Added priority threading for systems that support it.
  * Added -b -D -A -M options to control used devices even more.
  * Added -k to allow overwrite when file exists
  * Changed names of executables to reduce namespace pollution (sorry for this).
  * Using BSD-style install to set privileges on install.
  * Detect/correct if mixer isn't set correct when recording from cdrom.

 -- Bart Warmerdam <BartW@Debian.org>  Sat,  1 Aug 1998 22:08:02 +0200

sound-recorder (0.04-1) unstable; urgency=low

  * Initial Release.

 -- Bart Warmerdam <bartw@debian.org>  Fri, 22 May 1998 20:04:37 +0200

=== debian/control ===
Source: sound-recorder
Section: sound
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.0

Package: sound-recorder
Architecture: any
Depends: ${shlibs:Depends}
Description: Direct-to-disk recording and play-back programs.
 sound-recorder is a direct-to-disk recording program. It uses the recording
 input from the mixer on your soundcard and records it to a file
 .
 cdsound-recorder is an enhancement to sound-recorder which makes it easy to
 record tracks or samples from a cdrom to a file.
 .
 With the play-sample program you can play the recorded audio or play all
 other non-compressed and compressed wave-files.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# made with the aid of dh_make, by craig small
# sample debian/rules that uses debhelper. gnu copyright 1997 by joey hess.
# some lines taken from debmake, by christoph lameter.

package=sound-recorder
#export DH_VERBOSE=1
b=$(shell pwd)/debian/$(package)

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp sound-recorder-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

sound-recorder-stamp:
sound-recorder: sound-recorder-stamp

	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installchangelogs Changelog
	dh_installman doc/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb
	touch sound-recorder-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.

	$(MAKE) DESTDIR=$(b) BIN=$(b)/usr/bin MAN=$(b)/usr/share/man/man1 install

	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install sound-recorder

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
